#pragma once
#include "Preferences.h"

class CPPgSaint : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgSaint)

public:
	CPPgSaint();
	virtual ~CPPgSaint();

// Dialog Data
	enum { IDD = IDD_PPG_SAINT };

	void Localize(void);	
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();
//	virtual BOOL OnKillActive();
	afx_msg void OnSettingsChange()					{ SetModified(); }
	afx_msg	void OnBnClickedReleaseBonus(); // X-Ray :: ReleaseBonus
	afx_msg void OnSettingsChangeExt();// X: [DSE] - [DontShareExt]

protected:
	void LoadSettings(void);
//	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
//	afx_msg void OnDestroy();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	DECLARE_MESSAGE_MAP()

	

};
